'Fusion Software Serious Samurize Script Functions
'Copyright 2003


Set IPConfigSet = GetObject("winmgmts:{impersonationLevel=impersonate}!//localhost").ExecQuery("select IPAddress, DefaultIPGateway from Win32_NetworkAdapterConfiguration where IPEnabled=TRUE")
'-----------------------------------------------------
'Network information functions
'-----------------------------------------------------
'Displays external IP address
Function IPAddress()
	Count = 0
	for each sIPVar in IPConfigSet
	    Count = Count + 1
	next

	ReDim sIP(Count - 1)
	Count = 0
	For each sIPVar in IPConfigSet
	    sIP(Count) = sIPVar.IPAddress(0)
	    IPAddress = sIP(Count)
	    Count = Count + 1
	next
End Function

' Time Retrieval
Function GetCurrentHourAMPM()
	MyTime = Now()
	MyHour = Hour(MyTime)
	If (MyHour >= 12) Then
		MyHour = MyHour - 12
	End If
	GetCurrentHourAMPM = MyHour
End Function


'-----------------------------------------------------
'Drive Information Retrieval
'-----------------------------------------------------
Function GetCDriveSize()
	GetCDriveSize = GetDriveInfo("C", 1)
End Function

Function GetEDriveSize()
	GetEDriveSize = GetDriveInfo("E", 1)
End Function

Function GetCDriveUsed()
	GetCDriveUsed = GetDriveInfo("C", 2)
End Function

Function GetEDriveUsed()
	GetEDriveUsed = GetDriveInfo("E", 2)
End Function

Function GetCDriveUsedPercent()
	GetCDriveUsedPercent = GetDriveInfo("C", 3)
End Function

Function GetEDriveUsedPercent()
	GetEDriveUsedPercent = GetDriveInfo("E", 3)
End Function

Function GetCDriveFreePercent()
	GetCDriveFreePercent = GetDriveInfo("C", 4)
End Function

Function GetEDriveFreePercent()
	GetEDriveFreePercent = GetDriveInfo("E", 4)
End Function

Function GetCDriveFree()
	GetCDriveFree = GetDriveInfo("C", 5)
End Function

Function GetEDriveFree()
	GetEDriveFree = GetDriveInfo("E", 5)
End Function

Function GetTotalSize()
	GetTotalSize = "Not Finished"
End Function

Function GetTotalUsed()
	GetTotalUsed = "Not Finished"
End Function

Private Function GetDriveInfo(Drive, Info)
	Dim oFileSys
	Set oFileSys = CreateObject("Scripting.FileSystemObject")
	Set Drive = oFileSys.GetDrive(Drive)

	Size = Drive.TotalSize
	SizeType = "B"
	Used = Size - Drive.AvailableSpace
	UsedType = "B"
	Free = Drive.AvailableSpace
	FreeType = "B"

	PercentUsed = Round((Used / Size) * 100, 1) & "%"
	PercentFree = Round((Drive.AvailableSpace / Size) * 100, 1) & "%"

	If ((Size / 1024) > 0.95) Then
	    Size = Size / 1024
	    SizeType = "Kb"

		If ((Size / 1024) > 0.95) Then
		    Size = Size / 1024
		    SizeType = "Mb"

			If ((Size / 1024) > 0.95) Then
			    Size = Size / 1024
			    SizeType = "Gb"
			End If
		End If
	End If

	If ((Used / 1024) > 0.95) Then
	    Used = Used / 1024
	    UsedType = "Kb"

		If ((Used / 1024) > 0.95) Then
		    Used = Used / 1024
		    UsedType = "Mb"

			If ((Used / 1024) > 0.95) Then
			    Used = Used / 1024
			    UsedType = "Gb"
			End If
		End If
	End If

	If ((Free / 1024) > 0.95) Then
	    Free = Free / 1024
	    FreeType = "Kb"

		If ((Free / 1024) > 0.95) Then
		    Free = Free / 1024
		    FreeType = "Mb"

			If ((Free / 1024) > 0.95) Then
			    Free = Free / 1024
			    FreeType = "Gb"
			End If
		End If
	End If

	Size = Round(Size, 2)
	Used = Round(Used, 2)
	Free = Round(Free, 2)

	Select Case Info
	case 1:
	    GetDriveInfo = Size & " " & SizeType
	case 2:
	    GetDriveInfo = Used & " " & UsedType
	case 3:
	    GetDriveInfo = PercentUsed
	case 4:
	    GetDriveInfo = PercentFree
	case 5:
	    GetDriveInfo = Free & " " & FreeType
	case Else:
	    GetDriveInfo = "N/A"
	End Select
End Function


'-----------------------------------------------------
'Tribes 2 Stats Retrieval
'-----------------------------------------------------
Function GetKills()
	GetKills = GetStats(1)
End Function

Function GetDeaths()
	GetDeaths = GetStats(2)
End Function

Function GetSuicides()
	GetSuicides = GetStats(3)
End Function

Private Function GetStats(Stats)
	File = ReadSuperStats()
	FileArray = Split(File, ";")

	For I = 0 To (LBound(FileArray))
		LineText = FileArray(I)
		Select Case Stats
		Case -1:
			If (InStr(LineText, "$")) Then
				LinePosStart = InStr(LineText, "=") + 3
				LinePosEnd = Len(LineText) - LinePosStart
				ReturnValue = Mid(LineText, LinePosStart, LinePosEnd)
				GetStats = ReturnValue
			End If
		Case 1:
			If (InStr(LineText, "Kills =")) Then
				LinePosStart = InStr(LineText, "=") + 3
				LinePosEnd = Len(LineText) - LinePosStart
				ReturnValue = Mid(LineText, LinePosStart, LinePosEnd)
				GetStats = ReturnValue
			End If
		Case Else
			GetStats = "N/A"
		End Select
	Next
End Function

Private Function ReadSuperStats()
	set FileObj = CreateObject("Scripting.FileSystemObject")
	set File = FileObj.OpenTextFile("C:\Games\Tribes2\GameData\base\prefs\SuperStatsTotals.cs", 1)
	ReadSuperStats = File.readall()
	File.close()
End Function

Function GetPJVersion()
	GetPJVersion = GetStats(-1)
End Function